Bug 173927 - Review Request: akode: Audio-decoding framewor
Review Request: akode: Audio-decoding framewor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
David Lawrence
http://carewolf.com/akode/
:
Depends On:
Blocks: FE-ACCEPT 176288
  Show dependency treegraph
 
Reported: 2005-11-22 13:27 EST by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-06 09:52:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2005-11-22 13:27:57 EST
Spec Name or Url:http://apt.kde-redhat.org/apt/kde-redhat/SPECS/akode-2.0-0.1.b3.spec
SRPM Name or Url: http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/akode-2.0-0.1.b3.src.rpm
Description: 
aKode is a simple audio-decoding frame-work that provides a uniform
interface to decode the most common audio-formats. It also has a direct
playback option for a number of audio-outputs.

aKode currently has the following decoder plugins:
* mpc: Decodes musepack aka mpc audio. LGPL licensed.
* xiph: Decodes FLAC, Ogg/FLAC, Speex and Ogg Vorbis audio. LGPL licensed, patent free.

aKode also has the following audio outputs:
* oss: Outputs to the OSS (Open Sound System) of for instance FreeBSD and Linux 2.4
* alsa: Outputs to ALSA of Linux 2.6 (version 0.9 or 1.x required) (dmix is recommended).
Comment 1 Rex Dieter 2005-11-22 14:39:36 EST
See also akode-extras submission to livna:
http://bugzilla.livna.org/show_bug.cgi?id=667
Comment 2 Aurelien Bompard 2005-11-23 10:51:07 EST
rpmlint complains that the description lines about xiph, oss, and alsa are too long.
Just to be clear : you are targeting FC5, right ? Because KDE 3.4 as shipped
with FC4 includes akode (repoquery --repoid=base -l kdemultimedia | grep libakode).
Comment 3 Rex Dieter 2005-11-23 10:54:45 EST
Yes, target = fc5 (for kde-3.5.0)

FYI, developer promised a newer rc later today, so a revision should hopefully
appear soon.
Comment 4 Rex Dieter 2005-12-08 09:42:41 EST
%changelog
* Wed Nov 23 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.0-0.4.rc1
- 2.0rc1

Spec Name or
Url:http://apt.kde-redhat.org/apt/kde-redhat/SPECS/akode-2.0-0.4.rc1.spec
SRPM Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/akode-2.0-0.4.rc1.src.rpm
Comment 5 Kevin Kofler 2005-12-19 10:08:35 EST
This could now use a FC4 build too, as KDE 3.5 has been pushed as a FC4 update. 
Comment 6 Rex Dieter 2005-12-19 10:09:57 EST
Agreed, target anybody with kde >= 3.5
Comment 7 Rex Dieter 2005-12-19 10:14:21 EST
%changelog
* Mon Dec 19 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.0-1
- 2.0(final)

Spec Name or Url: http://apt.kde-redhat.org/apt/kde-redhat/SPECS/akode-2.0-1.spec
SRPM Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/akode-2.0-1.src.rpm
Comment 8 Kevin Kofler 2005-12-19 10:16:52 EST
Could the powers at be please approve this quickly? Akode being unavailable is  
technically a regression for FC4. I'm not sure any users will really lose  
productivity due to lack of audio codecs, but then again you never know. 
Comment 9 Rex Dieter 2005-12-19 10:20:22 EST
Kevin,
Core's version of kdemultimedia never did provide akode support.  That was
provided by kdemultimedia-extras (from a certain uname-able repo that rhymes
with bivna.  (-:)
Comment 10 Rex Dieter 2005-12-19 10:21:37 EST
Kevin said: "Could the powers at be please approve this quickly?".

All that is lacking is a package review, and we can get this published.
Comment 11 Kevin Kofler 2005-12-19 10:26:33 EST
> Core's version of kdemultimedia never did provide akode support.   
That's true, as we are at technicalities... ;-)   
   
But more to the point:   
> All that is lacking is a package review  
From another existing package maintainer as by the procedures, right? Or can 
untrusted users like me :-( now review packages? 
Comment 12 Rex Dieter 2005-12-19 10:38:40 EST
See
http://fedoraproject.org/wiki/PackageReviewGuidelines
in the "Reviewer" section.  No need to be an existing maintainer.
Comment 13 Rex Dieter 2005-12-19 10:40:58 EST
Oops, per Comment #2, apparently akode *was* in Core's kdemultimedia pkg
(probably only the "free" bit(s)).
Comment 14 Michael Schwendt 2005-12-19 12:37:26 EST
Reviewer must own a package in Fedora Extras (quote: "The primary Reviewer can
be any current package owner, unless the Contributor is a first timer.").

Resolving apt.kde-redhat.org... failed: Temporary failure in name resolution.
Comment 15 Rex Dieter 2005-12-19 12:44:07 EST
Michael, Re: Reviewer, sorry for the misinformation (I didn't read it closely
enought).

Hmm... kde-redhat.org resolves for me.  You can alternatively use apt.unl.edu. 
In the meantime, I'll have to check things with our DNS provider.
Comment 16 Dennis Gilmore 2005-12-23 15:07:44 EST
rpmlint output      
[dennis@asgard ~]$     
rpmlint /var/lib/mock/fedora-development-i386-core/result/akode-2.0-1.fc5.i386.rpm     
E: akode invalid-soname /usr/lib/libakode_xiph_decoder.so     
libakode_xiph_decoder.so     
E: akode invalid-soname /usr/lib/libakode_alsa_sink.so libakode_alsa_sink.so     
E: akode invalid-soname /usr/lib/libakode_src_resampler.so     
libakode_src_resampler.so     
E: akode invalid-soname /usr/lib/libakode_mpc_decoder.so     
libakode_mpc_decoder.so     
E: akode invalid-soname /usr/lib/libakode_oss_sink.so libakode_oss_sink.so     
E: akode zero-length /usr/share/doc/akode-2.0/NEWS     
     
the invalid sonames i don't think are a huge deal i think rpmlint is     
complaining about the _ ,  NEWS file should be obmitted     
     
Good:     
md5sums match upstream      
Builds in mock for development on x86      
Naming is ok     
good split on devel package  
  
I cant approve  as this is assigned to someone else.   but would do if its 
reassigned, and as along as no one objects to the sonames. 
 
   
   
Comment 17 Aurelien Bompard 2005-12-25 15:40:20 EST
> I cant approve  as this is assigned to someone else.

All review requests are assigned to gdk bye default, just reassign it to
yourself and approve it
Comment 18 Dennis Gilmore 2005-12-25 16:13:36 EST
I cant reassign,  bugzilla doesn't allow me to.  the only option i have is to 
leave as new. 
Comment 19 Michael Schwendt 2005-12-25 16:33:51 EST
You need to request membership in the fedora-bugs group in the accounts
system. That will give you the necessary capabilities in bugzilla.

Comment 20 Dennis Gilmore 2006-01-06 09:40:48 EST
Ok  based on my previous review     
 
If you remove the empty NEWS file  
 
and since no one has said  the sonames are an issue 
 
APPROVED 
 
Comment 21 Rex Dieter 2006-01-06 09:43:03 EST
OK, NEWS is history.  Thanks.
Comment 22 Rex Dieter 2006-01-06 09:52:57 EST
imported.

Note You need to log in before you can comment on or make changes to this bug.